# GESTrackElementAsset

    GObject
        ╰──GESAsset
            ╰──GESTrackElementAsset
                ╰──GESEffectAsset
                ╰──GESUriSourceAsset

### Members

`parent` (GESAsset) –
No description available

### Class structure

#### GESTrackElementAssetClass

##### Fields

`parent_class` (GESAssetClass) –
No description available
`_ges_reserved` (gpointer*) –
No description available

### GES.TrackElementAssetClass

##### Attributes

`parent_class` (GES.AssetClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.TrackElementAssetClass

##### Attributes

`parent_class` (GES.AssetClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.TrackElementAsset

    GObject.Object
        ╰──GES.Asset
            ╰──GES.TrackElementAsset
                ╰──GES.EffectAsset
                ╰──GES.UriSourceAsset

### Members

`parent` (GES.Asset) –
No description available

## GES.TrackElementAsset

    GObject.Object
        ╰──GES.Asset
            ╰──GES.TrackElementAsset
                ╰──GES.EffectAsset
                ╰──GES.UriSourceAsset

### Members

`parent` (GES.Asset) –
No description available

### Methods

#### ges_track_element_asset_get_natural_framerate

    gboolean
    ges_track_element_asset_get_natural_framerate (GESTrackElementAsset * self,
                                                   gint* framerate_n,
                                                   gint* framerate_d)

Result: TRUE if self has a natural framerate FALSE otherwise

Parameters:

`self` –

A GESAsset

`framerate_n` ( [out]) –

The framerate numerator

`framerate_d` ( [out]) –

The framerate denominator

Returns –
No description available

Since : 1.18

#### GES.TrackElementAsset.prototype.get_natural_framerate

    function GES.TrackElementAsset.prototype.get_natural_framerate(): {
        // javascript wrapper for 'ges_track_element_asset_get_natural_framerate'
    }

Result: TRUE if self has a natural framerate FALSE otherwise

Parameters:

`self` (GES.TrackElementAsset) –

A GES.Asset

Returns a tuple made of:

(Number ) –
No description available
`framerate_n` (Number ) –
No description available
`framerate_d` (Number ) –
No description available

Since : 1.18

#### GES.TrackElementAsset.get_natural_framerate

    def GES.TrackElementAsset.get_natural_framerate (self):
        #python wrapper for 'ges_track_element_asset_get_natural_framerate'

Result: TRUE if self has a natural framerate FALSE otherwise

Parameters:

`self` (GES.TrackElementAsset) –

A GES.Asset

Returns a tuple made of:

(bool ) –
No description available
`framerate_n` (int ) –
No description available
`framerate_d` (int ) –
No description available

Since : 1.18

#### ges_track_element_asset_get_track_type

    const GESTrackType
    ges_track_element_asset_get_track_type (GESTrackElementAsset * asset)

Get the GESAssetTrackType the GESTrackElement extracted from self should get into

Parameters:

`asset` –

A GESAsset

Returns –

a GESTrackType

#### GES.TrackElementAsset.prototype.get_track_type

    function GES.TrackElementAsset.prototype.get_track_type(): {
        // javascript wrapper for 'ges_track_element_asset_get_track_type'
    }

Get the GESAssetTrackType the GES.TrackElement extracted from self should get into

Parameters:

`asset` (GES.TrackElementAsset) –

A GES.Asset

Returns (GES.TrackType) –

a GES.TrackType

#### GES.TrackElementAsset.get_track_type

    def GES.TrackElementAsset.get_track_type (self):
        #python wrapper for 'ges_track_element_asset_get_track_type'

Get the GESAssetTrackType the GES.TrackElement extracted from self should get into

Parameters:

`asset` (GES.TrackElementAsset) –

A GES.Asset

Returns (GES.TrackType) –

a GES.TrackType

#### ges_track_element_asset_set_track_type

    ges_track_element_asset_set_track_type (GESTrackElementAsset * asset,
                                            GESTrackType type)

Set the GESTrackType the GESTrackElement extracted from self should get into

Parameters:

`asset` –

A GESAsset

`type` –

A GESTrackType

#### GES.TrackElementAsset.prototype.set_track_type

    function GES.TrackElementAsset.prototype.set_track_type(type: GES.TrackType): {
        // javascript wrapper for 'ges_track_element_asset_set_track_type'
    }

Set the GES.TrackType the GES.TrackElement extracted from self should get into

Parameters:

`asset` (GES.TrackElementAsset) –

A GES.Asset

`type` (GES.TrackType) –

A GES.TrackType

#### GES.TrackElementAsset.set_track_type

    def GES.TrackElementAsset.set_track_type (self, type):
        #python wrapper for 'ges_track_element_asset_set_track_type'

Set the GES.TrackType the GES.TrackElement extracted from self should get into

Parameters:

`asset` (GES.TrackElementAsset) –

A GES.Asset

`type` (GES.TrackType) –

A GES.TrackType

### Properties

#### track-type

    “track-type” GESTrackType *

Flags : Read / Write / Construct

#### track-type

    “track-type” GES.TrackType

Flags : Read / Write / Construct

#### track_type

    “self.props.track_type” GES.TrackType

Flags : Read / Write / Construct

### Virtual Methods

#### get_natural_framerate

    gboolean
    get_natural_framerate (GESTrackElementAsset * self,
                           gint* framerate_n,
                           gint* framerate_d)

Parameters:

`self` –

A GESTrackElementAsset

`framerate_n` –

The framerate numerator to retrieve

`framerate_d` –

The framerate denominator to retrieve

Returns –

TRUE if self has a natural framerate FALSE otherwise.

Since : 1.18

#### vfunc_get_natural_framerate

    function vfunc_get_natural_framerate(self: GES.TrackElementAsset): {
        // javascript implementation of the 'get_natural_framerate' virtual method
    }

Parameters:

`self` (GES.TrackElementAsset) –

A GES.TrackElementAsset

Returns a tuple made of:

(Number ) –

TRUE if self has a natural framerate FALSE otherwise.

`framerate_n` (Number ) –

TRUE if self has a natural framerate FALSE otherwise.

`framerate_d` (Number ) –

TRUE if self has a natural framerate FALSE otherwise.

Since : 1.18

#### do_get_natural_framerate

    def do_get_natural_framerate (self):
        #python implementation of the 'get_natural_framerate' virtual method

Parameters:

`self` (GES.TrackElementAsset) –

A GES.TrackElementAsset

Returns a tuple made of:

(bool ) –

TRUE if self has a natural framerate FALSE otherwise.

`framerate_n` (int ) –

TRUE if self has a natural framerate FALSE otherwise.

`framerate_d` (int ) –

TRUE if self has a natural framerate FALSE otherwise.

Since : 1.18

## Constants

### GES_TYPE_TRACK_ELEMENT_ASSET

    #define GES_TYPE_TRACK_ELEMENT_ASSET ges_track_element_asset_get_type()

The results of the search are